The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Утилита для "разгона" видеокарт AMD/ATI в Linux

28.12.2010 15:13

Представлена новая открытая утилита AMDOverdriveCtrl, предназначенная для управления частотой GPU и памяти для видеокарт AMD/ATI, поддерживающих технологию OverDrive (Radeon HD 2000 и более новые карты). Для взаимодействия с видеокартой в утилите используется библиотка AMD Display Library (ADL). Утилита поддерживает управление частотой GPU и памяти, дает возможность производить мониторинг температуры GPU у изменять скорость вращения кулера.

Поддержка OverDrive была интегрирована в проприетарный пакет AMD Catalyst 8.8, но возможности по тонкой настройке и слежением за перегревом там ограничены. В то время как, интерфейс AMDOverdriveCtrl, который написан с использованием wxWidgets, специально оптимизирован для "разгона" (overclock), так как позволяет более полно (в ручном режиме) и наглядно контролировать влияние изменения частоты на температуру чипа.

Тем, кто заинтересован разгоном видеочипсетов AMD/ATi, можно дополнительно посоветовать похожие программы: rovclock и atipower для старых чипсетов, а также штатные средства утилиты aticonfig и программы настройки Catalyst версии от 8.11 для новых чипсетов.

  1. Главная ссылка к новости (http://www.phoronix.com/scan.p...)
  2. Rovclock
  3. atipower
  4. nvclock
  5. OpenNews: Вышел видеодрайвер AMD Catalyst 8.8 с поддержкой CrossFire и OverDrive
Лицензия: CC-BY
Тип: Программы
Ключевые слова: ati, amd, overlock, speed, tune
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение (20) Ajax | 1 уровень | Линейный | Раскрыть всё | RSS
  • 1.1, Аноним (-), 17:01, 28/12/2010 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    > wxWidgets

    А я думал его уже давно закопали.

     
     
  • 2.4, Alatar (??), 17:52, 28/12/2010 [^] [^^] [^^^] [ответить]  
  • +/
    Да нет, живёт пока, вполне себе развивается. Не как Qt, конечно, но и признаков смерти, вроде, не подаёт.
     
     
  • 3.6, тоже Аноним (ok), 18:24, 28/12/2010 [^] [^^] [^^^] [ответить]  
  • +/
    А главное - вполне пригоден для широкого применения уже сейчас, и работа (хоть и медленная) идет над фичами, а не над багами.
     
     
  • 4.9, Аноним (-), 21:02, 28/12/2010 [^] [^^] [^^^] [ответить]  
  • –3 +/
    На исправление багов забили?
     
     
  • 5.10, Zenitur (?), 23:03, 28/12/2010 [^] [^^] [^^^] [ответить]  
  • –3 +/
    Что забили?
     
     
  • 6.13, Аноним (-), 06:22, 29/12/2010 [^] [^^] [^^^] [ответить]  
  • +1 +/
    То чего у тебя нет? :-)
     
  • 6.14, тоже Аноним (ok), 09:07, 29/12/2010 [^] [^^] [^^^] [ответить]  
  • +/
    Вроде опытный человек, а тролля кормишь...
     
     
  • 7.15, Аноним (-), 10:27, 29/12/2010 [^] [^^] [^^^] [ответить]  
  • +/
    Так ведь сам троллишь.
     
  • 7.17, Zenitur (?), 13:51, 29/12/2010 [^] [^^] [^^^] [ответить]  
  • +/
    Просто заставляю задуматься над тем, над чем возможно не задумывались.
     
  • 6.16, Аноним (-), 10:32, 29/12/2010 [^] [^^] [^^^] [ответить]  
  • +/
    "работа (хоть и медленная) идет не над багами"

     
     
  • 7.19, тоже Аноним (ok), 17:50, 29/12/2010 [^] [^^] [^^^] [ответить]  
  • +/
    Специально для вас перефразирую: версия 2.8.11 - стабильная, ее баги давно вычищены. Текущая нестабильная 2.9 - полигон для фич будущей стабильной 3.0.
    Таким образом, разработчики заняты не багами, а фичами. А сама библиотека в стабильной версии, повторяю, вполне пригодна для широкого применения.
    Так понятно?
     

  • 1.2, JL2001 (ok), 17:09, 28/12/2010 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    как можно из под линукса узнать поддерживает видеокарта OverDrive или нет ?
     
     
  • 2.11, Zenitur (?), 23:06, 28/12/2010 [^] [^^] [^^^] [ответить]  
  • +/
    > как можно из под линукса узнать поддерживает видеокарта OverDrive или нет ?

    Если утилита при запуске выдаёт

    (AMDOverdriveCtrl:20202): Gtk-CRITICAL **: IA__gtk_range_set_range: assertion 'min < max' failed
    Исключение в операции с плавающей точкой

    Значит не поддерживается! Авторы программы просто ещё не сделали хорошего окна, описывающего эту ошибку. Моя ATi Mobility Radeon HD 4200 не поддерживает.

    http://www.phoronix.com/forums/showpost.php?p=163414&postcount=12

     

  • 1.3, Аноним (-), 17:15, 28/12/2010 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Ну вот. Осталось разбудить разработчика nvclock и сказать ему что за два года уже вышло множество железа, которое не поддерживается.
     
  • 1.5, Anonus (?), 18:13, 28/12/2010 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Есть ли что-то подобное для nVidia?
     
     
  • 2.7, Zenitur (?), 18:26, 28/12/2010 [^] [^^] [^^^] [ответить]  
  • +/
    Есть, прямо в nvidia-settings разгоняется и замедляется и видеочипсет, и вентилятор. Только перед это им скомандуй nvidia-xconfig --cool-bits 1 от имени суперпользователя и перезагрузи иксы после этого. Если nvidia-settings не понравится - воспользуйся nvclock. Например, я видел жалобы людей на то, что nvidia-settings не позволяет полностью остановить вентиляторы, хотя есть хорошее пассивное охлаждение.
     
     
  • 3.18, pavlinux (ok), 15:23, 29/12/2010 [^] [^^] [^^^] [ответить]  
  • +/
    > Например, я видел жалобы людей на то, что nvidia-settings
    > не позволяет полностью остановить вентиляторы,

    Это от БИОС видюшки зависит.
    MSI GT250 не вырубается, Гигабайт GТ250 - вырубается.

     

  • 1.8, Zenitur (?), 19:57, 28/12/2010 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Разогнал свой ATi Mobility Radeon HD 4200. А то Quake III тормозит с 32 врагами по сети. Интересно почему.
     
  • 1.12, Аноним (-), 01:10, 29/12/2010 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Со свободными драйверами не работает?
     
  • 1.20, Аноним (-), 19:54, 29/12/2010 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    сразу вспомнилось как гоняли джифорс 2-ые, в 2000-2002 годах...
     
     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Спонсоры:
    Слёрм
    Inferno Solutions
    Hosting by Ihor
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2019 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру